module mips_k_top(clk, led, txd);
	input clk;
	output [7:0] led;
	output txd;
	wire [9:0] data_adr;
	wire [7:0] data_out;
	wire data_wr;
	wire clkdv, locked;
	reg [7:0] led;
	mips_k_dcm mips_k_dcm(.CLKIN_IN(clk), .CLKDV_OUT(clkdv), .LOCKED_OUT(locked));
//	assign clkdv = clk;
//	assign locked = 1;
	//
	always @(posedge clkdv) 
		if (data_wr & data_adr == 10'h200) led <= data_out;
	mips_k mips_k(.clk(clkdv), .reset(~locked), .adr(data_adr), 
		.io_data_in(8'h00), .io_data_out(data_out), 
		.io_wr(data_wr), .txd(txd));
endmodule

